#version 140

in vec4 vColor;
in float vDot;
out vec4 fragColor;

void main()
{
    vec3 diffuseLight = vec3(1.0, 1.0, 1.0);
    vec3 diffuse = diffuseLight * vColor.rgb * vDot;
    vec3 ambientLight = vec3(0.2, 0.2, 0.2);
    vec3 ambient = ambientLight * vColor.rgb;
    fragColor = vec4(diffuse + ambient, vColor.a);
}
